## org.eclipse.papyrus.emf.facet.efacet.sdk.ui.internal.exported.widget
Interface IENamedElementWidget<C extends EObject,CW>

All Known Subinterfaces:
  ICreateFacetInFacetSetWidget, IDerivedTypedElementWidget, IEStructuralFeatureWidget, IETypedElementWidget<C,CW>, IFacetWidget

    public interface IENamedElementWidget<C extends EObject,CW>

Method Summary
`C` `getContainer()`
`java.lang.String` `getElementName()`
`<any>` `pressParentButton()` Press the get or create parent button.
`void` `setName(java.lang.String value)` Set the name of the element.

Method Detail

### pressParentButton

    <any> pressParentButton()

  Press the get or create parent button.

  Returns:
    the dialog open when the button is pressed.

### getElementName

    java.lang.String getElementName()

  Returns:
    the name of the element.

### setName

    void setName(java.lang.String value)

  Set the name of the element.

  Parameters:
    `value` - the name.

### getContainer

    C getContainer()